#include <sqlite3.h>
#include <iostream>
#include <vector>
#include <string>

using namespace std;

const string DB_NAME = "./testDB";

int main(int argc, char const *argv[])
{
    sqlite3 *db = nullptr;

    int ret = sqlite3_open(DB_NAME.c_str(), &db);
    if (ret != SQLITE_OK)
    {
        std::cout << "failed to open database\n";
        return -1;
    }

    // creating a new table

    string sql_create_table = "CREATE TABLE IF NOT EXISTS users (id INTEGER PRIMARY KEY, name TEXT, age INTEGER);";

    sqlite3_stmt *stmt;
    ret = sqlite3_prepare_v2(db, sql_create_table.c_str(), sql_create_table.size(), &stmt, nullptr);
    if (ret != SQLITE_OK)
    {
        std::cout << "failed to complier sql statement\n";
        sqlite3_close(db);
        return -1;
    }

    ret = sqlite3_step(stmt);
    if (ret != SQLITE_DONE)
    {
        cout << "faild to exec stmt\n";
        sqlite3_finalize(stmt);
        sqlite3_close(db);
        return -1;
    }
    sqlite3_finalize(stmt);
    
    cout << "success creating table or already exist the table\n";

    //插入数据
    

  
    sqlite3_close(db);

    return 0;
}
